
<div id="fb-root"></div>
<script>(function(d, s, id) {
  var js, fjs = d.getElementsByTagName(s)[0];
  if (d.getElementById(id)) return;
  js = d.createElement(s); js.id = id;
  js.src = 'https://connect.facebook.net/en_GB/sdk.js#xfbml=1&version=v2.10';
  fjs.parentNode.insertBefore(js, fjs);
}(document, 'script', 'facebook-jssdk'));</script>
<div class="fb-video" data-href="https://www.facebook.com/Beefstros/videos/305110656345767/" data-width="500" height="300" data-show-text="true"><blockquote cite="https://www.facebook.com/Beefstros/videos/305110656345767/" class="fb-xfbml-parse-ignore"><a href="https://www.facebook.com/Beefstros/videos/305110656345767/">How to Eat: Famous Italian Beef Sandwich</a><p>Neimo is going to demonstrate how to eat one of our Famous Italian Beef sandwiches! Watch and share to your friends and families!

ORDER ONLINE NOW!</p>Posted by <a href="https://www.facebook.com/Beefstros/">Beefstro's Gourmet Beefs</a> on Saturday, 29 November 2014</blockquote></div>
`
.component-embed .mod-embed-iframe {
margin-top: 30px!important;
padding-left: 19%;
text-align: left;
}
.fb_iframe_widget_fluid_desktop iframe {
    min-width: 700px;
    position: relative;
}
</style>
<div class="fb-video" data-href="https://www.facebook.com/Beefstros/videos/423288754527956/" data-width="700" data-show-text="true"><blockquote cite="https://www.facebook.com/Beefstros/videos/423288754527956/" class="fb-xfbml-parse-ignore"><a href="https://www.facebook.com/Beefstros/videos/423288754527956/">Beefstros Gourmet Beefs</a><p>www.BeefstrosBeef.com</p>Posted by <a href="https://www.facebook.com/Beefstros/">Beefstro's Gourmet Beefs</a> on Monday, 19 October 2015</blockquote></div>



<div class="fb-video" data-href="https://www.facebook.com/Beefstros/videos/328193147370851/" data-width="500" height="300" data-show-text="true"><blockquote cite="https://www.facebook.com/Beefstros/videos/328193147370851/" class="fb-xfbml-parse-ignore"><a href="https://www.facebook.com/Beefstros/videos/328193147370851/">Beefstros Gourmet Beefs</a><p>www.BeefstrosBeef.com</p>Posted by <a href="https://www.facebook.com/Beefstros/">Beefstro's Gourmet Beefs</a> on, January 30, 2015</blockquote></div>

<div class="fb-video" data-href="https://www.facebook.com/Beefstros/videos/321259204730912/" data-width="500" height="300" data-show-text="true"><blockquote cite="https://www.facebook.com/Beefstros/videos/321259204730912/" class="fb-xfbml-parse-ignore"><a href="https://www.facebook.com/Beefstros/videos/321259204730912/">Beefstros Gourmet Beefs</a><p>www.BeefstrosBeef.com</p>Posted by <a href="https://www.facebook.com/Beefstros/">Beefstro's Gourmet Beefs</a> on, January 30, 2015</blockquote></div>






<style>
/* Fix on mobile view */
@media(max-width: 979px) {
.fb_iframe_widget_fluid_desktop iframe {
    min-width: 100% !important;
}
.component-embed .mod-embed-iframe {
    padding-left: 0px !important;
    text-align: center !important;
}
</style>